Skip to main content

AWS Cloud Connectivity - Private Self Made - Update (PATCH)

This page documents the Update (PATCH) operation in the AWS Cloud Connectivity API. Use a valid JWT bearer token.

PATCH https://ope-obs.apibackbone.orange.com/evolutionplatform/aws/api/v1/projects/{projectId}/aws/cloudconnectors/privates/{id}
Authorization: Bearer YOUR_ACCESS_TOKEN

Parameters​

ParameterInRequiredType / default
idpathYesstring uuid
projectIdpathYesstring uuid

Request body​

JSON fieldRequiredType / notes
nameNostring: cloud connector name
stateNostring (DESIGNING, DESIGNED, BOOKING, RESERVED, PROVISIONING, ACTIVE, STOPPING, SUSPENDING, INACTIVE, REPAIRING, TERMINATED, ERROR): cloud connector state
bandwidthNointeger int32: cloud connector bandwidth
maxBandwidthNointeger int32: cloud connector maximum bandwidth
technicalVpnIdNostring uuid: network connector uuid associated with the cloud connector
awsCredentialIdNostring uuid: aws credential uuid to be used to manage the cloud connector on aws
virtualInterfaceTypeNostring (privateVif, transitVif): cloud connector virtual interface type
locationNostring: cloud connector location
regionNostring: cloud connector region
customerGatewayIdNostring: customer gateway id
routingPolicyNostring (basicAggregate, defaultRoute, noAggregate): cloud connector routing policy

Response​

Successful response: 200. ok Response schema: object.